package com.britton.models;

import java.io.InputStream;
import java.io.ByteArrayInputStream;

public class CardLogoBean {

    private String filename;
    private byte[] image_data;
    private String content_type;
    private Float aspect_ratio;

    public CardLogoBean() {}

    public CardLogoBean(String filename, byte[] image_data, String content_type, Float aspect_ratio) {
        this.filename = filename;
        this.image_data = image_data;
        this.content_type = content_type;
        this.aspect_ratio = aspect_ratio;
    }

    public String getFilename() {
        return filename;
    }

    public byte[] getImage_data() {
        return image_data;
    }

    public InputStream getImage_stream() {
        if (this.image_data == null) {
            return null;
        }
        return new ByteArrayInputStream(this.image_data);
    }

    public String getContent_type() {
        return content_type;
    }

    public Float getAspect_ratio() {
        return aspect_ratio;
    }
    
    
}